FLATPAK REMOTE-MODI(1)

NAME
flatpak-remote-modify - Modify a remote repository

SYNOPSIS

flatpak remote-modify [OPTION...] NAME

DESCRIPTION

Modifies options for an existing remote repository in the flatpak repository configuration. NAME is the name for the remote.

Unless overridden with the --user or --installation options, this command changes the default system-wide installation.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--user
    Modify the per-user configuration.

--system
    Modify the default system-wide configuration.

--installation=NAME
    Modify a system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

--no-gpg-verify
    Disable GPG verification for the added remote.

--gpg-verify
    Enable GPG verification for the added remote.

--prio=PRIO
    Set the priority for the remote. Default is 1, higher is more prioritized. This is mainly used for graphical installation tools.

--no-enumerate
    Mark the remote as not enumerated. This means the remote will not be used to list applications, for instance in graphical installation tools.

--no-use-for-deps
    Mark the remote as not to be used for automatic runtime dependency resolution.

--disable
    Disable the remote. Disabled remotes will not be automatically updated from.

--enable
    Enable the remote.

--enumerate
    Mark the remote as enumerated. This means the remote will be used to list applications, for instance in graphical installation tools.

--use-for-deps
    Mark the remote as to be used for automatic runtime dependency resolution.

--title=TITLE
    A title for the remote, e.g. for display in a UI.

--default-branch=BRANCH
    A default branch to for the remote, mainly for use in a UI.

--url=URL
    Set a new URL.

--update-metadata
    A default branch to for the remote, mainly for use in a UI. Update the remote's extra metadata from the OSTree repository's summary file. Only xa.title and xa.default-branch are supported at the moment.

--gpg-import=FILE
    Import gpg keys from the specified keyring file as trusted for the new remote. If the file is - the keyring is read from standard input.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--version
    Print version information and exit.

EXAMPLES

$ flatpak --user remote-modify --no-gpg-verify test-repo

SEE ALSO

flatpak(1), flatpak-remote-add(1), flatpak-remote-delete(1), flatpak-remotes(1)